<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://DigitalData.Services.EDMIService" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://DigitalData.Services.EDMIService" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://DigitalData.Services.EDMIService/Imports">
      <xsd:import namespace="http://DigitalData.Services.EDMIService" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System.Data" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Modules.Filesystem" />
      <xsd:import namespace="http://schemas.microsoft.com/Message" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="IEDMIService_Heartbeat_InputMessage">
    <wsdl:part name="parameters" element="tns:Heartbeat" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_Heartbeat_OutputMessage">
    <wsdl:part name="parameters" element="tns:HeartbeatResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_CreateDatabaseRequest_InputMessage">
    <wsdl:part name="parameters" element="tns:CreateDatabaseRequest" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_CreateDatabaseRequest_OutputMessage">
    <wsdl:part name="parameters" element="tns:CreateDatabaseRequestResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_CloseDatabaseRequest_InputMessage">
    <wsdl:part name="parameters" element="tns:CloseDatabaseRequest" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_CloseDatabaseRequest_OutputMessage">
    <wsdl:part name="parameters" element="tns:CloseDatabaseRequestResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatableResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalarResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_InputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_OutputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQueryResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_NewFile_InputMessage">
    <wsdl:part name="parameters" element="tns:NewFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_NewFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:NewFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_UpdateFile_InputMessage">
    <wsdl:part name="parameters" element="tns:UpdateFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_UpdateFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:UpdateFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFile_InputMessage">
    <wsdl:part name="parameters" element="tns:GetFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_DeleteFile_InputMessage">
    <wsdl:part name="parameters" element="tns:DeleteFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_DeleteFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:DeleteFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetDocumentByDocumentId_InputMessage">
    <wsdl:part name="parameters" element="tns:GetDocumentByDocumentId" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetDocumentByDocumentId_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetDocumentByDocumentIdResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetDocumentByContainerId_InputMessage">
    <wsdl:part name="parameters" element="tns:GetDocumentByContainerId" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetDocumentByContainerId_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetDocumentByContainerIdResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ImportFile_InputMessage">
    <wsdl:part name="parameters" element="tns:ImportFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ImportFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:ImportFileResponse" />
  </wsdl:message>
  <wsdl:message name="DocumentStreamRequest">
    <wsdl:part name="parameters" element="tns:DocumentStreamRequest" />
  </wsdl:message>
  <wsdl:message name="DocumentStreamResponse">
    <wsdl:part name="parameters" element="tns:DocumentStreamResponse" />
  </wsdl:message>
  <wsdl:message name="DocumentStreamResponse_Headers">
    <wsdl:part name="FileName" element="tns:FileName" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ListFilesForUser_InputMessage">
    <wsdl:part name="parameters" element="tns:ListFilesForUser" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ListFilesForUser_OutputMessage">
    <wsdl:part name="parameters" element="tns:ListFilesForUserResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_NewFileIndex_InputMessage">
    <wsdl:part name="parameters" element="tns:NewFileIndex" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_NewFileIndex_OutputMessage">
    <wsdl:part name="parameters" element="tns:NewFileIndexResponse" />
  </wsdl:message>
  <wsdl:portType name="IEDMIService">
    <wsdl:operation name="Heartbeat">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/Heartbeat" message="tns:IEDMIService_Heartbeat_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/HeartbeatResponse" message="tns:IEDMIService_Heartbeat_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="CreateDatabaseRequest">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/CreateDatabaseRequest" message="tns:IEDMIService_CreateDatabaseRequest_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/CreateDatabaseRequestResponse" message="tns:IEDMIService_CreateDatabaseRequest_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="CloseDatabaseRequest">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/CloseDatabaseRequest" message="tns:IEDMIService_CloseDatabaseRequest_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/CloseDatabaseRequestResponse" message="tns:IEDMIService_CloseDatabaseRequest_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable" message="tns:IEDMIService_ReturnDatatable_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableResponse" message="tns:IEDMIService_ReturnDatatable_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar" message="tns:IEDMIService_ReturnScalar_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalarResponse" message="tns:IEDMIService_ReturnScalar_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery" message="tns:IEDMIService_ExecuteNonQuery_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQueryResponse" message="tns:IEDMIService_ExecuteNonQuery_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="NewFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/NewFile" message="tns:IEDMIService_NewFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/NewFileResponse" message="tns:IEDMIService_NewFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="UpdateFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/UpdateFile" message="tns:IEDMIService_UpdateFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/UpdateFileResponse" message="tns:IEDMIService_UpdateFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFile" message="tns:IEDMIService_GetFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileResponse" message="tns:IEDMIService_GetFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="DeleteFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/DeleteFile" message="tns:IEDMIService_DeleteFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/DeleteFileResponse" message="tns:IEDMIService_DeleteFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetDocumentByDocumentId">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetDocumentByDocumentId" message="tns:IEDMIService_GetDocumentByDocumentId_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetDocumentByDocumentIdResponse" message="tns:IEDMIService_GetDocumentByDocumentId_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetDocumentByContainerId">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetDocumentByContainerId" message="tns:IEDMIService_GetDocumentByContainerId_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetDocumentByContainerIdResponse" message="tns:IEDMIService_GetDocumentByContainerId_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ImportFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ImportFile" message="tns:IEDMIService_ImportFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ImportFileResponse" message="tns:IEDMIService_ImportFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetFileByObjectId">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectId" name="DocumentStreamRequest" message="tns:DocumentStreamRequest" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectIdResponse" name="DocumentStreamResponse" message="tns:DocumentStreamResponse" />
    </wsdl:operation>
    <wsdl:operation name="ListFilesForUser">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ListFilesForUser" message="tns:IEDMIService_ListFilesForUser_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ListFilesForUserResponse" message="tns:IEDMIService_ListFilesForUser_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="NewFileIndex">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/NewFileIndex" message="tns:IEDMIService_NewFileIndex_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/NewFileIndexResponse" message="tns:IEDMIService_NewFileIndex_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
</wsdl:definitions>